# lugins/osg/FragmentProgram.cpp File Reference

`#include "osg/FragmentProgram"`
`#include <iostream>`
`#include <sstream>`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/FragmentProgram.cpp:

## Functions

bool | FragmentProgram_readLocalData (Object &obj, Input &fr)
bool | FragmentProgram_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_FragmentProgramProxy (new osg::FragmentProgram,"FragmentProgram","Object StateAttribute FragmentProgram",&FragmentProgram_readLocalData,&FragmentProgram_writeLocalData)

## Function Documentation

bool FragmentProgram_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool FragmentProgram_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_FragmentProgramProxy(new osg::FragmentProgram,"FragmentProgram","Object StateAttribute FragmentProgram",&FragmentProgram_readLocalData,&FragmentProgram_writeLocalData)